/// <reference path="PhantomPngGenerator.js"/>

var system = require('system');
var webpage = require('webpage');
phantom.injectJs('PhantomOutput.js');
phantom.injectJs('PhantomInit.js');
phantom.injectJs('PhantomPngGenerator.js');
phantom.injectJs('PhantomPngRenderer.js');

var generator = new PhantomPngGenerator(console, system.stdin, webpage.create);
generator.waitForInputThenGenerate();